## MgCanvasEntity

MgCanvasEntity — Draws a graphical representation of a MgEntity object

## Synopsis

    struct      MgCanvasEntity;
    guint       mg_canvas_entity_get_type       (void);
    MgCanvasField* mg_canvas_entity_get_field_item
                                                (MgCanvasEntity *ce,
                                                 MgField *field);
    gdouble     mg_canvas_entity_get_field_ypos (MgCanvasEntity *ce,
                                                 MgField *field);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----MgCanvasItem
                               +----MgCanvasEntity

## Properties

      "entity"               gpointer             : Read / Write
      "scale"                gdouble              : Write

## Description

This GnomeCanvasItem is self-destroyed when the referenced MgEntity object is nullified.

## Details

### struct MgCanvasEntity

    struct MgCanvasEntity;

### mg_canvas_entity_get_type ()

    guint       mg_canvas_entity_get_type       (void);

Returns : |

### mg_canvas_entity_get_field_item ()

    MgCanvasField* mg_canvas_entity_get_field_item
                                                (MgCanvasEntity *ce,
                                                 MgField *field);

Get the MgCanvasField object representing `field` in `ce`.

`ce` : | a MgCanvasEntity object
`field` : | a MgField object
Returns : | the corresponding MgCanvasField

### mg_canvas_entity_get_field_ypos ()

    gdouble     mg_canvas_entity_get_field_ypos (MgCanvasEntity *ce,
                                                 MgField *field);

Get the Y position of the MgCanvasField object representing `field` in `ce`, in `ce`'s coordinates.

`ce` : | a MgCanvasEntity object
`field` : | a MgField object
Returns : | the Y coordinate.

## Properties

"`entity`" (gpointer : Read / Write) |
"`scale`" (gdouble : Write) |